# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# x86 AVX
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x64
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x64_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x64_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x72
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x72_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x80
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x80_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x80_acc5
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x96
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x96_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x96_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx2_p5_x96_acc6
# x86 AVX512
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x128
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x128_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x128_acc4
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x144
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x144_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x160
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x160_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x160_acc5
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x192
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x192_acc2
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x192_acc3
- name: xnn_f32_raddexpminusmax_ukernel__avx512f_p5_scalef_x192_acc6
